Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
fpe_fe1.h File Reference
`#include <botan/bigint.h>`
`#include <botan/symkey.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::FPE

## Functions
BigInt | Botan::FPE::fe1_decrypt (const BigInt &n, const BigInt &X0, const SymmetricKey &key, const std::vector< uint8_t > &tweak)
BigInt | Botan::FPE::fe1_encrypt (const BigInt &n, const BigInt &X0, const SymmetricKey &key, const std::vector< uint8_t > &tweak)